<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="{$PLUGIN_NAME}" class="tab_content">
	<h3>{$PLUGIN_TITLE}</h3>

	<fieldset><legend>Configuration Settings</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>

	<fieldset><legend>License Settings</legend>
		<div><label for="ndl_license_key">License Key</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>

		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
		
		<input type="hidden" name="module[general_tab]" value="general_tab">
	</fieldset>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{if isset($PLUGIN_MESSAGES)}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	
  </div>
  
  <div id="install_guide" class="tab_content">
	<h3>How to Install This Module</h3>
	<p>If installing this module for the first time, or after updating your store you should run through the steps below to ensure the module works correctly</p>
	<p>Should you upgrade your store you will need to apply these changes again.</p>
	<p>The skin change below has been made using CubeCart 6.0.4. If you are using a different version the line number may be slightly different. If you are unsure on what to edit please open a <a href="http://www.noodleman.co.uk/support">support ticket</a></p>	
	<p>This module only requires changes to your stores admin skin. These are minor changes but are required to add the Cost and Stock Warning options to your product edit screen. It is recommended to use notepad++ to edit your files, it's an excellent free text editor!</p>	

	<ol>
	
	<li><b>Update Admin Skin</b><p>Open the file &quot;admin/skins/default/templates/products.index.php&quot; with your favourite text editor.</p></li>
Around line number 502 FIND:	
<textarea style="width:100%; height:25px;">
{literal}<th>{$LANG.catalogue.restock_note}</th>{/literal}
</textarea>
<br/>
AFTER ON A NEW LINE ADD:	
<textarea style="width:100%; height:80px;">
<!-- Start Custom Stock Warning Level Report by Noodleman -->
<th>Stock Level Warning</th>
<!-- End Custom Stock Warning Level Report by Noodleman -->
</textarea></li> 	



	<li><b>Update Admin Skin</b><p>Open the file &quot;admin/skins/default/templates/products.index.php&quot; with your favourite text editor.</p></li>
Around line number 516 FIND:	
<textarea style="width:100%; height:25px;">
{literal}<td><input type="text" name="option_matrix[{$row.options_identifier}][restock_note]" class="textbox number" value="{$OPTIONS_MATRIX.existing.{$row.options_identifier}.restock_note}" maxlength="255" ></td>{/literal}
</textarea>
<br/>
AFTER ON A NEW LINE ADD:	
<textarea style="width:100%; height:80px;">
<!-- Start Custom Stock Warning Level Report by Noodleman -->
{literal}<td><input type="text" name="option_matrix[{$row.options_identifier}][custom_stock_warning_level]" class="textbox number" value="{$OPTIONS_MATRIX.existing.{$row.options_identifier}.custom_stock_warning_level}"></td>{/literal}
<!-- End Custom Stock Warning Level Report by Noodleman -->
</textarea></li> 	
	
  </div>
  
  <div id="matrix_stock_warnings" class="tab_content">
	<h3>Custom Stock Warning Report</h3>
	<p>Shows all matrix options where the stock level is equal to or less than the option stock warning level</p>
	
	{if $MATRIX_STOCK_WARNINGS}
		<table width="100%">
		  <thead>
			 <tr>
				<td>Product</td>
				<td>Product Code</td>
				<td>Product Stock Level</td>
				<td>Product Stock Warning Level</td>
				<td>Matrix Option Name</td>
				<td>Matrix Option Product Code</td>
				<td>Matrix Option Stock Level</td>
				<td>Matrix Stock Warning Level</td>
			 </tr>
		  </thead>
		  <tbody>
			 {foreach from=$MATRIX_STOCK_WARNINGS item=product}
			 <tr>
				<td><a href="?_g=products&action=edit&product_id={$product.product_id}{if $product.cached_name}#Options{/if}">{$product.name}</a></td>
				<td>{$product.product_code}</td>
				<td>{$product.main_product_stock_level}</td>
				<td>{$product.stock_warning}</td>
				<td>{$product.cached_name}</td>
				<td>{$product.matrix_product_code}</td>
				<td>{$product.stock_level}</td>
				<td>{$product.custom_stock_warning_level}</td>				
			 </tr>
			 {/foreach}
		  </tbody>
		</table>	
	{/if}

	</div>    
	
  <div class="form_control">
	<input type="submit" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
</form>